Reviews *New*
Google Product Reviews Parameters
GET /search?search_type=product_reviews
The Google Product Reviews Parameters are applicable when making a request with search_type=product_reviews to retrieve product reviews results for a given product ID and gpc ID. The product ID is specified in the product_id parameter and the gpc ID is specified in the gpc_id parameter. The request also requires a next page token specified in next_page_token parameter. You should also specify a location parameter to geo-locate the request (locations can be retrieved via the Locations API).
Google Product IDs and GPC IDs are returned by Google Shopping search requests.
Products & Location Google Product pages are highly location-sensitive so it is important that you specify a location that matches the location that was used to retrieve the product_id in the original Google Shopping search request. To ensure appropriate product details are returned, either location or gl and hl are required for search_type=product_reviews.
Product Reviews Pagination Product Reviews results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each search_type=product_reviews result will return a next_page_token in its' product_results.pagination object. This next_page_token can be passed in to the next_page_token request parameter to retrieve the next page of Product Reviews results.

For example, to request product reviews results for the product ID 2826726591980094389 and gpc id 2883234210698146338 along with next_page_token in the location United States , the request would be:
https://api.valueserp.com/search?api_key=demo&search_type=product_reviews&product_id=2826726591980094389&gpc_id=2883234210698146338&next_page_token=EtgBCtUBIswBAcdZaXeSYiyeI1FBGl-hyGxyyblCbZ5FRXSlbs5VijbA834VybmbBdTZU9ckhbKtWuFdkM6Y9gFVRC8ji_gyswXmM6P_xMjphFdzcoQcx1fNWQFS_1vCTNHJ6tTDoU_4jUh-_4i_ZGIBCEqhr55q09CbDMOP6OtsTVEQbkf0SUicBcKRIm1Q5P5cFMMMux81qG7l5AMtrm-5SqDIWGW7CJzdJ1KvmEWq5eLEHN5dpAQBLvDt5O2wBJkCIEsdEEr2hlpfY7YlihZkJdgoKKOJgswG&location=United+StatesGoogle Product Reviews Parameters
The following parameters are available for all requests made when search_type=product_reviews .
Parameter | Required | Description |
|---|---|---|
search_type | required | Should be set to search_type=product_reviews . |
product_id | required | The Google Product ID to retrieve. Google Product IDs are returned by Google Shopping search requests. |
gpc_id | required | The Google Product GPC ID to retrieve. Google Product GPC IDs are returned by Google Shopping search requests. Note: For some products like medicines, Google Shopping page does not return a GPC ID. In those cases, product_reviews requests work by supplying the product_id value to BOTH product_id and gpc_id. Also, in such cases, BOTH location + gl, hl & domain are required (as opposed to either of those required in products containing a gpc_id) |
next_page_token | required | Product Reviews results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each search_type=product_reviews result will return a next_page_token in its' product_results.pagination object. This next_page_token can be passed in to the next_page_token request parameter to retrieve the next page of Product Reviews results. The next_page_token for first page, however, is returned in the product_results.reviews_next_page_token property of the search_type=product_details requests and the token for second page onwards in returned in reviews array of search_type=product_reviews. |
location | optional | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the VALUE SERP built-in locations then the google_domain , gl and hl parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the location_auto parameter). Note: Google Product requests are highly location-sensitive. It's important that you set a location parameter for the geographic location in which the product_id was found. Either location or gl and hl are required to get correct product reviews. |
location_auto | optional | If the location field is set to a VALUE SERP built-in location from the Locations API , and location_auto is set to true (default) then the google_domain , gl and hl parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are true (default) to enable this behaviour or false to disable. |
uule | optional | The Google UULE parameter - use to pass through a custom uule parameter to Google. VALUE SERP automatically generates the uule when you use the location parameter but we allow you to overwrite it directly by specifying a uule directly. |
google_domain | optional | The Google domain to use to run the search query. View the full list of supported google_domain values here . Defaults to google.com . |
gl | optional | The gl parameter determines the Google country to use for the query. View the full list of supported gl values here . Defaults to us . Note: Either location or gl and hl are required to get correct product reviews. |
hl | optional | The hl parameter determines the Google UI language to return results. View the full list of supported hl values here . Defaults to en . Note: Either location or gl and hl are required to get correct product reviews. |
Next Steps Google Product Reviews Results